#include <iostream>
#include<algorithm>
#include<cstdio>
#include<string>
#include<cmath>
using namespace std;

string a,b,c,mg[10];

int main()
{

    cin>>a>>b>>c;

    mg[1]=a+b+c;
    mg[2]=a+c+b;
    mg[3]=b+a+c;
    mg[4]=b+c+a;
    mg[5]=c+a+b;
    mg[6]=c+b+a;

    sort(mg+1,mg+7);

    cout<<mg[6];


    return 0;
}